Subject: bug#64960: Documentation for copy-sequence

From: Michael Heerdegen <[email-masked]>
Date: Wed, 16 Aug 2023 01:28:25 +0200

uzibalqa via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> "The elements of a list, vector or record are not copied; they are
> shared with the original."
>
> Adding additional wording that it means that not everything is
> actually copied.
> Some aspects are actually reference values.  Meaning that if you change the
> copied sequence, you could inadvertently change the original sequence.

That's the normal behavior in a Lisp, so this belongs into the manual.
After reading (info "(elisp) Sequence Functions") (where this function
is introduced) I think, as far as I understand, that that page tries to
explain this aspect you mention thoroughly.

Michael.